Page Menu
Home
Phorge
Search
Configure Global Search
Log In
Files
F2571803
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
View Options
diff --git a/.ci/setup.sh b/.ci/setup.sh
index a148ab1dc..f367b5b18 100755
--- a/.ci/setup.sh
+++ b/.ci/setup.sh
@@ -1,15 +1,23 @@
#!/bin/bash
# The script is intended for use on Travis with Trusty distribution
DIR=$(dirname $0)
GMV=1.5.11
# Roundcube tests and instance configuration
sudo cp $DIR/config-test.inc.php $DIR/../config/config-test.inc.php
+echo $?
+cat $DIR/../config/config-test.inc.php
+
# In-Browser tests dependencies installation
# and GreenMail server setup and start
-sudo apt-get -y install default-jre-headless \
- && sudo wget http://central.maven.org/maven2/com/icegreen/greenmail-standalone/$GMV/greenmail-standalone-$GMV.jar \
- && sudo java -Dgreenmail.setup.all -Dgreenmail.users=test:test -jar greenmail-standalone-$GMV.jar &
+if [ $? = 0 ]
+then
+ sudo apt-get -y install default-jre-headless
+ sudo wget http://central.maven.org/maven2/com/icegreen/greenmail-standalone/$GMV/greenmail-standalone-$GMV.jar
+ sudo java -Dgreenmail.setup.all -Dgreenmail.users=test:test -jar greenmail-standalone-$GMV.jar &
+fi
+
+echo $?
File Metadata
Details
Attached
Mime Type
text/x-diff
Expires
Thu, Mar 19, 9:01 AM (1 d, 1 h)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
458554
Default Alt Text
(1 KB)
Attached To
Mode
R3 roundcubemail
Attached
Detach File
Event Timeline
Log In to Comment